CVE-2018-7269

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-7269
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-7269.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-7269
Aliases
Published
2018-03-21T18:29:00Z
Modified
2024-06-06T12:26:48.440083Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

The findByCondition function in framework/db/ActiveRecord.php in Yii 2.x before 2.0.15 allows remote attackers to conduct SQL injection attacks via a findOne() or findAll() call, unless a developer recognizes an undocumented need to sanitize array input.

References

Affected packages

Git / github.com/yiisoft/yii2

Affected ranges

Type
GIT
Repo
https://github.com/yiisoft/yii2
Events

Affected versions

2.*

2.0.0
2.0.1
2.0.10
2.0.11
2.0.11.1
2.0.11.2
2.0.12
2.0.13
2.0.13.1
2.0.14
2.0.14.1
2.0.14.2
2.0.2
2.0.3
2.0.4
2.0.5
2.0.6
2.0.7
2.0.8
2.0.9